doctype html
html
    head
        meta(charset='UTF-8')
        title bayou map
        link(rel='stylesheet', href='/style.css')
        link(rel='stylesheet' href='/js/leaflet.css')
        script(src='https://cdn.jsdelivr.net/npm/luxon@1.25.0/build/global/luxon.min.js')
        script(src='/js/leaflet.js')
        script(src='/js/L.Maidenhead.js')
        script(src='/js/mapping.js')
        script(src='https://unpkg.com/leaflet-simple-map-screenshoter')


    body        
        

        <a href="/">Back to home</a>

        <hr>

        //li.boxsmaller <b>Feed Name:</b> "#{feed_name}"
        li.boxsmaller <b>Feed Public Key:</b> #{feed_pubkey}
        li.boxsmaller <b>Feed Home Page:</b> <a href="/data/#{feed_pubkey}">http://#{base_url}/data/#{feed_pubkey}</a>

        <div id="map" style="width: 1500px; height: 1000px;"></div>

        //- script.
        //-     var map = L.map('map').setView([46, 19], 5);
        //-     L.tileLayer('https://{s}.tile.osm.org/{z}/{x}/{y}.png', {
        //-     attribution: '&copy; <a href="https://osm.org/copyright">OpenStreetMap</a> contributors'
        //-     }).addTo(map);
        //-     L.maidenhead({color : 'rgba(255, 0, 0, 0.4)'}).addTo(map);

        script.
            var map = L.map('map').setView([46, 19], 5);
            L.simpleMapScreenshoter().addTo(map);
            //simpleGrid(map);
            makeMap(map,!{JSON.stringify(feed_pubkey)},!{JSON.stringify(plot_param)},!{JSON.stringify(limit)},!{JSON.stringify(node_id)});

        